Notes on the the generic USB-OHCI driver
========================================

This driver (drivers/usb/usb_ohci.[ch]) is the result of the merge of
various existing OHCI drivers that were basically identical beside
cpu/board dependant initalization. This initalization has been moved
into cpu/board directories and are called via the hooks below.

Configuration options
----------------------

	CONFIG_USB_OHCI_NEW: enable the new OHCI driver

	CONFIG_SYS_USB_OHCI_REGS_BASE: defines the base address of the OHCI
				registers

	CONFIG_SYS_USB_OHCI_SLOT_NAME: slot name

Endianness issues
------------------

The USB bus operates in little endian, but unfortunately there are
OHCI controllers that operate in big endian such as ppc4xx. For these the
config option

	CONFIG_SYS_OHCI_BE_CONTROLLER

needs to be defined.

